#include "parseargs.hh"
#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <spdlog/spdlog.h>
#include <string>

int main(int ac, char **av) {
  const auto [input_file, output_file, video_output, iterations] =
      parse_args(ac, av);
  spdlog::info("Input file:\t{}", input_file);
  spdlog::info("Output file:\t{}", output_file);
  spdlog::info("Video output:\t{}", video_output);
  spdlog::info("Iterations:\t{}", iterations);
  cv::Mat image = cv::imread(input_file, cv::IMREAD_COLOR); // Read the file
  if (!image.data) { // Check for invalid input
    spdlog::critical("Could not open or find image!\n");
    return -1;
  }
  spdlog::info("Image loaded!");
  spdlog::info("Width:\t{}", image.size().width);
  spdlog::info("Height:\t{}", image.size().height);

  return 0;
}
